Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BotWriteAccessAllowReason

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BotWriteAccessAllowReason

Direct Known Subclasses:
  `TdApi.BotWriteAccessAllowReasonAcceptedRequest`, `TdApi.BotWriteAccessAllowReasonAddedToAttachmentMenu`, `TdApi.BotWriteAccessAllowReasonConnectedWebsite`, `TdApi.BotWriteAccessAllowReasonLaunchedWebApp`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.BotWriteAccessAllowReason extends TdApi.Object permits TdApi.BotWriteAccessAllowReasonConnectedWebsite, TdApi.BotWriteAccessAllowReasonAddedToAttachmentMenu, TdApi.BotWriteAccessAllowReasonLaunchedWebApp, TdApi.BotWriteAccessAllowReasonAcceptedRequest
This class is an abstract base class. Describes a reason why a bot was allowed to write messages to the current user.

## Constructor Summary

Constructors
Constructor
Description
`BotWriteAccessAllowReason()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BotWriteAccessAllowReason

public BotWriteAccessAllowReason()
Default class constructor.